void need_domain();

extern unsigned long default_ttl;
extern int yydebug;
extern int yy_flex_debug;
extern struct nsu_signer *tsig;

void panic(char const *fmt, ...);
void abend(char const *fmt, ...);
void abend_nomem(void);
int yyerror(char const *);
int yyparse(void);
int yylex(void);
	
void lexer_from_file(char const *name);
void lexer_from_argv(int argc, char **argv);

int run_update(nsu_rr *prereq, int num_prereq,
	       nsu_rr *update, int num_update);

char *alloc_string(char const *src, size_t len);
void dealloc_strings(void);

